BaseTilesAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.BaseTilesAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action
Class BaseTilesAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.BaseTilesAction

Direct Known Subclasses:
  ListDetailAction, ResourceConfigFormPrepareAction

    public abstract class BaseTilesAction

extends org.apache.struts.tiles.actions.TilesAction

Base TilesAction class

Field Summary

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`BaseTilesAction()`

Method Summary
`protected void` | `checkModifyPermission(javax.servlet.http.HttpServletRequest request)`
`protected void` | `checkPermission(javax.servlet.http.HttpServletRequest request, java.lang.String opName)`

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute, execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseTilesAction

    public BaseTilesAction()

Method Detail

### checkModifyPermission

    protected void checkModifyPermission(javax.servlet.http.HttpServletRequest request)
                                  throws ParameterNotFoundException,
                                         PermissionException

  Throws:
    `ParameterNotFoundException`
    `PermissionException`

### checkPermission

    protected void checkPermission(javax.servlet.http.HttpServletRequest request,
                                   java.lang.String opName)
                            throws PermissionException

  Throws:
    `PermissionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.